Bug 296136 - after adding next slash previous one disappears
Summary: after adding next slash previous one disappears
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Organize Files Dialog (show other bugs)
Version: 2.6-git
Platform: Gentoo Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 10:37 UTC by Tomasz Kołosowski
Modified: 2013-02-01 22:45 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
screenshot of the problem (86.93 KB, image/png)
2012-07-20 20:54 UTC, Emiliano Sacchi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Kołosowski 2012-03-16 10:37:09 UTC
In organize files dialog, when you add slash by doubleclicking it (mind the clicking part, dragging it to right place works just fine), it'll then remove any slash you already had added in your path.
Steps to reproduce
1. Open organize files dialog
2. Doubleclick following buttons, in order: artist, slash, album, slash. (again, click, not drag)
3. Notice that slash between artist and album is now gone.
Comment 1 Emiliano Sacchi 2012-07-20 20:54:23 UTC
Created attachment 72652 [details]
screenshot of the problem
Comment 2 Emiliano Sacchi 2012-07-20 20:56:36 UTC
sorry for the attar, wrong issue
Comment 3 Tomasz Kołosowski 2012-07-21 09:48:30 UTC
This is still an issue in Amarok 2.5.90 (With KDE 4.8.4)
Comment 4 Myriam Schweingruber 2012-07-25 03:13:08 UTC
(In reply to comment #3)
> This is still an issue in Amarok 2.5.90 (With KDE 4.8.4)

Well, yes as this is reported with 2.5-git and not marked as solved.
Comment 5 Mayank Madan 2012-12-01 07:53:35 UTC
Can Reproduce this bug in v2.6.0-421-gf66a306
Comment 6 Tomasz Kołosowski 2012-12-01 15:51:45 UTC
Same here, still able to reproduce this. Amarok 2.6.0, KDE 4.9.3
Comment 7 Ralf Engels 2012-12-07 23:08:53 UTC
It seems that happens always with double click and duplicate tags.
You can also reproduce it with e.g. to artists and also in the other dialogs using the TokenDragTarget.
Comment 8 Ralf Engels 2012-12-10 23:56:43 UTC
Git commit 13969d7e1d7b133c4f69a9668120738d038e105b by Ralf Engels.
Committed on 10/12/2012 at 18:12.
Pushed by rengels into branch 'master'.

Fix after adding slash previous one disappears in organize collection
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +8    -0    src/widgets/TokenDropTarget.cpp
M  +2    -0    src/widgets/TokenPool.cpp
M  +5    -2    src/widgets/TokenPool.h

http://commits.kde.org/amarok/13969d7e1d7b133c4f69a9668120738d038e105b
Comment 9 Ralf Engels 2013-02-01 22:45:06 UTC
Git commit fe049b0fe6218fc3293454bed1f8cdfdd5c13d0d by Ralf Engels.
Committed on 10/12/2012 at 18:12.
Pushed by rengels into branch 'master'.

Fix after adding slash previous one disappears in organize collection
FIXED-IN: 2.8

M  +8    -0    src/widgets/TokenDropTarget.cpp

http://commits.kde.org/amarok/fe049b0fe6218fc3293454bed1f8cdfdd5c13d0d